# Constant Field Values

## Contents

- picard.analysis.*
- picard.arrays.*
- picard.cmdline.*
- picard.fingerprint.*
- picard.illumina.*
- picard.metrics.*
- picard.nio.*
- picard.sam.*
- picard.util.*
- picard.vcf.*

## picard.analysis.*

picard.analysis.CollectInsertSizeMetrics
Modifier and Type
Constant Field
Value
`protected static final String`
`Histogram_R_SCRIPT`
`"picard/analysis/insertSizeHistogram.R"`
picard.analysis.CollectRrbsMetrics
Modifier and Type
Constant Field
Value
`public static final String`
`DETAIL_FILE_EXTENSION`
`"rrbs_detail_metrics"`
`public static final String`
`PDF_FILE_EXTENSION`
`"rrbs_qc.pdf"`
`public static final String`
`SUMMARY_FILE_EXTENSION`
`"rrbs_summary_metrics"`

picard.analysis.artifacts.CollectSequencingArtifactMetrics
Modifier and Type
Constant Field
Value
`public static final String`
`USAGE_SUMMARY`
`"Collect metrics to quantify single-base sequencing artifacts. "`
picard.analysis.artifacts.ConvertSequencingArtifactToOxoG
Modifier and Type
Constant Field
Value
`public static final String`
`OXOG_METRICS_EXT`
`".oxog_metrics"`
picard.analysis.artifacts.SequencingArtifactMetrics
Modifier and Type
Constant Field
Value
`public static final String`
`BAIT_BIAS_DETAILS_EXT`
`".bait_bias_detail_metrics"`
`public static final String`
`BAIT_BIAS_SUMMARY_EXT`
`".bait_bias_summary_metrics"`
`public static final String`
`ERROR_SUMMARY_EXT`
`".error_summary_metrics"`
`public static final String`
`PRE_ADAPTER_DETAILS_EXT`
`".pre_adapter_detail_metrics"`
`public static final String`
`PRE_ADAPTER_SUMMARY_EXT`
`".pre_adapter_summary_metrics"`

picard.analysis.directed.RnaSeqMetricsCollector
Modifier and Type
Constant Field
Value
`public static final int`
`defaultEndBiasBases`
`100`
picard.analysis.directed.TargetMetricsCollector<METRIC_TYPE extends MultilevelMetrics>
Modifier and Type
Constant Field
Value
`public static final int`
`NEAR_PROBE_DISTANCE_DEFAULT`
`250`

## picard.arrays.*

picard.arrays.CreateBafRegressMetricsFile
Modifier and Type
Constant Field
Value
`public static final String`
`FILE_EXTENSION`
`"bafregress_metrics"`
picard.arrays.CreateVerifyIDIntensityContaminationMetricsFile
Modifier and Type
Constant Field
Value
`public static final String`
`FILE_EXTENSION`
`"verifyidintensity_metrics"`

picard.arrays.illumina.Build37ExtendedIlluminaManifestRecordCreator
Modifier and Type
Constant Field
Value
`public static final String`
`ACGT_CODES`
`"ACGTacgt"`
`public static final String`
`BUILD_37`
`"37"`
`public static final int`
`FIVE_PRIME_SEQUENCE`
`1`
`public static final int`
`INDEL_SEQUENCE`
`3`
`public static final String`
`IUPAC_NUCLEOTIDE_CODES`
`"ACGTRYSWKMBDHVNacgtryswkmbdhvn"`
`public static final int`
`PRE_INDEL_SEQUENCE`
`2`
`public static final int`
`THREE_PRIME_SEQUENCE`
`4`
picard.arrays.illumina.IlluminaManifest
Modifier and Type
Constant Field
Value
`public static final String`
`ADDRESS_A_ID_HEADER_NAME`
`"AddressA_ID"`
`public static final String`
`ADDRESS_B_ID_HEADER_NAME`
`"AddressB_ID"`
`public static final String`
`ALLELE_A_PROBE_SEQ_HEADER_NAME`
`"AlleleA_ProbeSeq"`
`public static final String`
`ALLELE_B_PROBE_SEQ_HEADER_NAME`
`"AlleleB_ProbeSeq"`
`public static final String`
`BEAD_SET_ID_HEADER_NAME`
`"BeadSetID"`
`public static final String`
`CHROMOSOME_HEADER_NAME`
`"Chr"`
`public static final String`
`EXP_CLUSTERS_HEADER_NAME`
`"Exp_Clusters"`
`public static final String`
`GENOME_BUILD_HEADER_NAME`
`"GenomeBuild"`
`public static final String`
`HG17`
`"HG17"`
`public static final String`
`HG18`
`"HG18"`
`public static final String`
`HG19`
`"HG19"`
`public static final String`
`ILLUMINA_ID_HEADER_NAME`
`"IlmnID"`
`public static final String`
`ILLUMINA_STRAND_HEADER_NAME`
`"IlmnStrand"`
`public static final String`
`INTENSITY_ONLY_HEADER_NAME`
`"Intensity_Only"`
`public static final String`
`MAP_INFO_HEADER_NAME`
`"MapInfo"`
`public static final String`
`NAME_HEADER_NAME`
`"Name"`
`public static final String`
`NCBI_35`
`"35"`
`public static final String`
`NCBI_36`
`"36"`
`public static final String`
`NCBI_37`
`"37"`
`public static final String`
`PLOIDY_HEADER_NAME`
`"Ploidy"`
`public static final String`
`REF_STRAND_HEADER_NAME`
`"RefStrand"`
`public static final String`
`SNP_HEADER_NAME`
`"SNP"`
`public static final String`
`SOURCE_HEADER_NAME`
`"Source"`
`public static final String`
`SOURCE_SEQ_HEADER_NAME`
`"SourceSeq"`
`public static final String`
`SOURCE_STRAND_HEADER_NAME`
`"SourceStrand"`
`public static final String`
`SOURCE_VERSION_HEADER_NAME`
`"SourceVersion"`
`public static final String`
`SPECIES_HEADER_NAME`
`"Species"`
`public static final String`
`TOP_GENOMIC_SEQ_HEADER_NAME`
`"TopGenomicSeq"`
picard.arrays.illumina.IlluminaManifestRecord
Modifier and Type
Constant Field
Value
`public static final String`
`ILLUMINA_FLAGGED_BAD_CHR`
`"0"`
picard.arrays.illumina.InfiniumDataFile
Modifier and Type
Constant Field
Value
`public static final int`
`MAX_UNSIGNED_SHORT`
`65535`
picard.arrays.illumina.InfiniumEGTFile
Modifier and Type
Constant Field
Value
`public static final String`
`EXTENSION`
`"egt"`
picard.arrays.illumina.InfiniumGTCFile
Modifier and Type
Constant Field
Value
`public static final byte`
`AA_CALL`
`0x1`
`public static final byte`
`AB_CALL`
`0x2`
`public static final byte`
`BB_CALL`
`0x3`
`public static final byte`
`NO_CALL`
`0x0`
picard.arrays.illumina.InfiniumVcfFields
Modifier and Type
Constant Field
Value
`public static final String`
`ALLELE_A`
`"ALLELE_A"`
`public static final String`
`ALLELE_B`
`"ALLELE_B"`
`public static final String`
`ANALYSIS_VERSION_NUMBER`
`"analysisVersionNumber"`
`public static final String`
`ARRAY_TYPE`
`"arrayType"`
`public static final String`
`AUTOCALL_DATE`
`"autocallDate"`
`public static final String`
`AUTOCALL_GENDER`
`"autocallGender"`
`public static final String`
`AUTOCALL_VERSION`
`"autocallVersion"`
`public static final String`
`BAF`
`"BAF"`
`public static final String`
`BEADSET_ID`
`"BEADSET_ID"`
`public static final String`
`CHIP_WELL_BARCODE`
`"chipWellBarcode"`
`public static final String`
`CLUSTER_FILE`
`"clusterFile"`
`public static final String`
`DUPE`
`"DUPE"`
`public static final String`
`EXPECTED_GENDER`
`"expectedGender"`
`public static final String`
`EXTENDED_ILLUMINA_MANIFEST_FILE`
`"extendedManifestFile"`
`public static final String`
`EXTENDED_ILLUMINA_MANIFEST_VERSION`
`"extendedIlluminaManifestVersion"`
`public static final String`
`FAIL_REF`
`"FAIL_REF"`
`public static final String`
`FINGERPRINT_GENDER`
`"fingerprintGender"`
`public static final String`
`GC_SCORE`
`"GC_SCORE"`
`public static final String`
`GTA`
`"GTA"`
`public static final String`
`GTC_CALL_RATE`
`"gtcCallRate"`
`public static final String`
`GTC_CALL_RATE_DETAIL`
`"gtcCallRateDetail"`
`public static final String`
`GTZ`
`"GTZ"`
`public static final String`
`IGC`
`"IGC"`
`public static final String`
`ILLUMINA_BUILD`
`"ILLUMINA_BUILD"`
`public static final String`
`ILLUMINA_CHR`
`"ILLUMINA_CHR"`
`public static final String`
`ILLUMINA_POS`
`"ILLUMINA_POS"`
`public static final String`
`ILLUMINA_STRAND`
`"ILLUMINA_STRAND"`
`public static final String`
`IMAGING_DATE`
`"imagingDate"`
`public static final String`
`LRR`
`"LRR"`
`public static final String`
`MANIFEST_FILE`
`"manifestFile"`
`public static final String`
`NORMX`
`"NORMX"`
`public static final String`
`NORMY`
`"NORMY"`
`public static final String`
`P_95_GREEN`
`"p95Green"`
`public static final String`
`P_95_RED`
`"p95Red"`
`public static final String`
`PIPELINE_VERSION`
`"pipelineVersion"`
`public static final String`
`PROBE_A`
`"PROBE_A"`
`public static final String`
`PROBE_B`
`"PROBE_B"`
`public static final String`
`R`
`"R"`
`public static final String`
`RS_ID`
`"refSNP"`
`public static final String`
`SAMPLE_ALIAS`
`"sampleAlias"`
`public static final String`
`SCANNER_NAME`
`"scannerName"`
`public static final String`
`SOURCE`
`"SOURCE"`
`public static final String`
`THETA`
`"THETA"`
`public static final String`
`TRIALLELIC`
`"TRIALLELIC"`
`public static final String`
`X`
`"X"`
`public static final String`
`Y`
`"Y"`
`public static final String`
`ZCALL_THRESHOLDS`
`"zcallThresholds"`
`public static final String`
`ZCALL_VERSION`
`"zcallVersion"`
`public static final String`
`ZEROED_OUT_ASSAY`
`"ZEROED_OUT_ASSAY"`
`public static final String`
`ZTHRESH_X`
`"zthresh_X"`
`public static final String`
`ZTHRESH_Y`
`"zthresh_Y"`

## picard.cmdline.*

picard.cmdline.StandardOptionDefinitions
Modifier and Type
Constant Field
Value
`public static final String`
`ASSUME_SORT_ORDER_SHORT_NAME`
`"ASO"`
`public static final String`
`ASSUME_SORTED_SHORT_NAME`
`"AS"`
`public static final String`
`EXPECTED_INSERT_SIZE_SHORT_NAME`
`"INSERT"`
`public static final String`
`INPUT_SHORT_NAME`
`"I"`
`public static final String`
`LANE_SHORT_NAME`
`"L"`
`public static final String`
`LIBRARY_NAME_SHORT_NAME`
`"LIB"`
`public static final String`
`METRICS_FILE_SHORT_NAME`
`"M"`
`public static final String`
`MINIMUM_LOD_SHORT_NAME`
`"LOD"`
`public static final String`
`MINIMUM_MAPPING_QUALITY_SHORT_NAME`
`"MQ"`
`public static final String`
`OUTPUT_SHORT_NAME`
`"O"`
`public static final String`
`PF_READS_ONLY_SHORT_NAME`
`"PF"`
`public static final String`
`PROGRAM_RECORD_ID_SHORT_NAME`
`"PG"`
`public static final String`
`READ_GROUP_ID_SHORT_NAME`
`"RG"`
`public static final String`
`REFERENCE_SHORT_NAME`
`"R"`
`public static final String`
`SAMPLE_ALIAS_SHORT_NAME`
`"ALIAS"`
`public static final String`
`SEQUENCE_DICTIONARY_SHORT_NAME`
`"SD"`
`public static final String`
`SORT_ORDER_SHORT_NAME`
`"SO"`
`public static final String`
`USE_ORIGINAL_QUALITIES_SHORT_NAME`
`"OQ"`

## picard.fingerprint.*

picard.fingerprint.CalculateFingerprintMetrics
Modifier and Type
Constant Field
Value
`public final double`
`GENOTYPE_LOD_THRESHOLD`
`3.0`
`public final int`
`NUMBER_OF_SAMPLING`
`100`
picard.fingerprint.CheckFingerprint
Modifier and Type
Constant Field
Value
`public static final String`
`FINGERPRINT_DETAIL_FILE_SUFFIX`
`".fingerprinting_detail_metrics"`
`public static final String`
`FINGERPRINT_SUMMARY_FILE_SUFFIX`
`".fingerprinting_summary_metrics"`
picard.fingerprint.FingerprintChecker
Modifier and Type
Constant Field
Value
`public static final double`
`DEFAULT_GENOTYPING_ERROR_RATE`
`0.01`
`public static final int`
`DEFAULT_MINIMUM_BASE_QUALITY`
`20`
`public static final int`
`DEFAULT_MINIMUM_MAPPING_QUALITY`
`10`
picard.fingerprint.HaplotypeMap
Modifier and Type
Constant Field
Value
`public static final String`
`HET_GENOTYPE_FOR_PHASING`
`"HetGenotypeForPhasing"`
`public static final String`
`PHASESET_PREFIX`
`"PhaseSet"`
`public static final String`
`SYNTHETIC_PHASESET_PREFIX`
`"Synthetic"`
picard.fingerprint.LiftOverHaplotypeMap
Modifier and Type
Constant Field
Value
`public static final int`
`LIFTOVER_FAILED_FOR_ONE_OR_MORE_SNPS`
`101`

## picard.illumina.*

picard.illumina.ExtractBarcodesProgram
Modifier and Type
Constant Field
Value
`public static final String`
`BARCODE_COLUMN`
`"barcode"`
`public static final String`
`BARCODE_NAME_COLUMN`
`"barcode_name"`
`public static final String`
`BARCODE_SEQUENCE_COLUMN`
`"barcode_sequence"`
`public static final String`
`LIBRARY_NAME_COLUMN`
`"library_name"`
picard.illumina.IlluminaBasecallsToSam
Modifier and Type
Constant Field
Value
`public static final String`
`USAGE`
`"Generate a SAM, BAM or CRAM file from data in an Illumina basecalls output directory"`

picard.illumina.parser.MultiTileBclParser
Modifier and Type
Constant Field
Value
`public static final byte`
`MASKING_QUALITY`
`0x2`
picard.illumina.parser.ParameterizedFileUtil
Modifier and Type
Constant Field
Value
`protected static final boolean`
`DefaultSkipEmptyFiles`
`true`
`public static final String`
`PER_TILE_PATTERN_STRING`
`"s_(\\d+)_(\\d{1,5})"`
picard.illumina.parser.ReadStructure
Modifier and Type
Constant Field
Value
`public static final String`
`PARAMETER_DOC`
`"A description of the logical structure of clusters in an Illumina Run, i.e. a description of the structure IlluminaBasecallsToSam assumes the data to be in. It should consist of integer/character pairs describing the number of cycles and the type of those cycles (B for Sample Barcode, M for molecular barcode, T for Template, and S for skip). E.g. If the input data consists of 80 base clusters and we provide a read structure of \"28T8M8B8S28T\" then the sequence may be split up into four reads:\n* read one with 28 cycles (bases) of template\n* read two with 8 cycles (bases) of molecular barcode (ex. unique molecular barcode)\n* read three with 8 cycles (bases) of sample barcode\n* 8 cycles (bases) skipped.\n* read four with 28 cycles (bases) of template\nThe skipped cycles would NOT be included in an output SAM/BAM file or in read groups therein."`

picard.illumina.parser.readers.AbstractIlluminaPositionFileReader
Modifier and Type
Constant Field
Value
`public static final float`
`MAX_POS`
`1.0E7f`
`public static final float`
`MIN_POS`
`-10.0f`
`public static final String`
`S_LOCS_FILE`
`"s.locs"`
picard.illumina.parser.readers.BaseBclReader
Modifier and Type
Constant Field
Value
`public static final byte`
`NO_CALL_BASE`
`0x4e`
picard.illumina.parser.readers.BclQualityEvaluationStrategy
Modifier and Type
Constant Field
Value
`public static final int`
`ILLUMINA_ALLEGED_MINIMUM_QUALITY`
`2`
picard.illumina.parser.readers.FilterFileReader
Modifier and Type
Constant Field
Value
`public static final int`
`EXPECTED_VERSION`
`3`

picard.illumina.quality.CollectHiSeqXPfFailMetrics
Modifier and Type
Constant Field
Value
`public static final String`
`detailedMetricsExtension`
`".pffail_detailed_metrics"`
`public static final String`
`summaryMetricsExtension`
`".pffail_summary_metrics"`

## picard.metrics.*

picard.metrics.MultiLevelCollector<METRIC_TYPE extends htsjdk.samtools.metrics.MetricBase,Histogram_KEY extends Comparable,ARGTYPE>
Modifier and Type
Constant Field
Value
`public static final String`
`UNKNOWN`
`"unknown"`

## picard.nio.*

picard.nio.GATKBucketUtils
Modifier and Type
Constant Field
Value
`public static final String`
`FILE_PREFIX`
`"file:"`
`public static final String`
`GCS_PREFIX`
`"gs://"`
`public static final String`
`GOOGLE_CLOUD_STORAGE_FILESYSTEM_SCHEME`
`"gs"`
`public static final String`
`HDFS_PREFIX`
`"hdfs://"`
`public static final String`
`HDFS_SCHEME`
`"hdfs"`
`public static final String`
`HTTP_FILESYSTEM_PROVIDER_SCHEME`
`"http"`
`public static final String`
`HTTP_PREFIX`
`"http://"`
`public static final String`
`HTTPS_FILESYSTEM_PROVIDER_SCHEME`
`"https"`
`public static final String`
`HTTPS_PREFIX`
`"https://"`

## picard.sam.*

picard.sam.AbstractAlignmentMerger
Modifier and Type
Constant Field
Value
`public static final int`
`MAX_RECORDS_IN_RAM`
`500000`
picard.sam.AddOrReplaceReadGroups
Modifier and Type
Constant Field
Value
`public static final String`
`READGROUP_ID_REGEX`
`"^[ -~]+$"`
picard.sam.DownsampleSam
Modifier and Type
Constant Field
Value
`public static final String`
`RANDOM_SEED_TAG`
`"rs"`
picard.sam.SplitSamByLibrary
Modifier and Type
Constant Field
Value
`public static final int`
`NO_LIBRARIES_SPECIFIED_IN_HEADER`
`2`

picard.sam.markduplicates.MarkDuplicates
Modifier and Type
Constant Field
Value
`public static final String`
`DUPLICATE_SET_INDEX_TAG`
`"DI"`
`public static final String`
`DUPLICATE_SET_SIZE_TAG`
`"DS"`
`public static final String`
`DUPLICATE_TYPE_LIBRARY`
`"LB"`
`public static final String`
`DUPLICATE_TYPE_SEQUENCING`
`"SQ"`
`public static final String`
`DUPLICATE_TYPE_TAG`
`"DT"`
picard.sam.markduplicates.MarkDuplicatesForFlowHelper
Modifier and Type
Constant Field
Value
`public static final String`
`CLIPPING_TAG_NAME`
`"tm"`

picard.sam.markduplicates.util.OpticalDuplicateFinder
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_BIG_DUPLICATE_SET_SIZE`
`1000`
`public static final int`
`DEFAULT_MAX_DUPLICATE_SET_SIZE`
`300000`
`public static final int`
`DEFAULT_OPTICAL_DUPLICATE_DISTANCE`
`100`
picard.sam.markduplicates.util.ReadEnds
Modifier and Type
Constant Field
Value
`public static final byte`
`F`
`0x0`
`public static final byte`
`FF`
`0x2`
`public static final byte`
`FR`
`0x3`
`public static final byte`
`R`
`0x1`
`public static final byte`
`RF`
`0x5`
`public static final byte`
`RR`
`0x4`
picard.sam.markduplicates.util.ReadEndsForMarkDuplicates
Modifier and Type
Constant Field
Value
`protected static final int`
`SIZE_OF`
`69`

picard.sam.SamErrorMetric.ReadBaseStratification
Modifier and Type
Constant Field
Value
`public static final int`
`NOT_ALIGNED_ERROR`
`-1`

picard.sam.util.PhysicalLocation
Modifier and Type
Constant Field
Value
`public static final int`
`NO_VALUE`
`-1`

## picard.util.*

picard.util.AdapterMarker
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_ADAPTER_LENGTH`
`30`
`public static final int`
`DEFAULT_NUM_ADAPTERS_TO_KEEP`
`1`
`public static final int`
`DEFAULT_PRUNE_ADAPTER_LIST_AFTER_THIS_MANY_ADAPTERS_SEEN`
`100`
picard.util.AsyncIterator<T>
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_QUEUE_SIZE`
`2000`
picard.util.ClippingUtility
Modifier and Type
Constant Field
Value
`public static final double`
`MAX_ERROR_RATE`
`0.1`
`public static final double`
`MAX_PE_ERROR_RATE`
`0.1`
`public static final int`
`MIN_MATCH_BASES`
`12`
`public static final int`
`MIN_MATCH_PE_BASES`
`6`
`public static final int`
`NO_MATCH`
`-1`
picard.util.IlluminaUtil
Modifier and Type
Constant Field
Value
`public static final String`
`BARCODE_DELIMITER`
`"-"`
picard.util.LiftoverUtils
Modifier and Type
Constant Field
Value
`public static final String`
`REV_COMPED_ALLELES`
`"ReverseComplementedAlleles"`
`public static final String`
`SWAPPED_ALLELES`
`"SwappedAlleles"`
picard.util.MathUtil
Modifier and Type
Constant Field
Value
`public static final double`
`MAX_PROB_BELOW_ONE`
`0.9999999999999999`

picard.util.help.HelpConstants
Modifier and Type
Constant Field
Value
`public static final String`
`DOC_CAT_BASE_CALLING`
`"Base Calling"`
`public static final String`
`DOC_CAT_BASE_CALLING_SUMMARY`
`"Tools that process sequencing machine data, e.g. Illumina base calls, and detect sequencing level attributes, e.g. adapters"`
`public static final String`
`DOC_CAT_DIAGNOSTICS_AND_QC`
`"Diagnostics and Quality Control"`
`public static final String`
`DOC_CAT_DIAGNOSTICS_AND_QC_SUMMARY`
`"Tools that collect sequencing quality related and comparative metrics"`
`public static final String`
`DOC_CAT_GENOTYPING_ARRAYS_MANIPULATION`
`"Genotyping Arrays Manipulation"`
`public static final String`
`DOC_CAT_GENOTYPING_ARRAYS_MANIPULATION_SUMMARY`
`"Tools that manipulate data generated by Genotyping arrays"`
`public static final String`
`DOC_CAT_INTERVALS_MANIPULATION`
`"Intervals Manipulation"`
`public static final String`
`DOC_CAT_INTERVALS_MANIPULATION_SUMMARY`
`"Tools that process genomic intervals in various formats"`
`public static final String`
`DOC_CAT_METRICS`
`"Metrics"`
`public static final String`
`DOC_CAT_METRICS_SUMMARY`
`"Metrics"`
`public static final String`
`DOC_CAT_OTHER`
`"Other"`
`public static final String`
`DOC_CAT_OTHER_SUMMARY`
`"Miscellaneous tools, e.g. those that aid in data streaming"`
`public static final String`
`DOC_CAT_READ_DATA_MANIPULATION`
`"Read Data Manipulation"`
`public static final String`
`DOC_CAT_READ_DATA_MANIPULATION_SUMMARY`
`"Tools that manipulate read data in SAM, BAM or CRAM format"`
`public static final String`
`DOC_CAT_REFERENCE`
`"Reference"`
`public static final String`
`DOC_CAT_REFERENCE_SUMMARY`
`"Tools that analyze and manipulate FASTA format references"`
`public static final String`
`DOC_CAT_TEST`
`"Test Tools"`
`public static final String`
`DOC_CAT_TEST_SUMMARY`
`"Tools for internal test purposes"`
`public static final String`
`DOC_CAT_VARIANT_EVALUATION`
`"Variant Evaluation and Refinement"`
`public static final String`
`DOC_CAT_VARIANT_EVALUATION_SUMMARY`
`"Tools that evaluate and refine variant calls, e.g. with annotations not offered by the engine"`
`public static final String`
`DOC_CAT_VARIANT_FILTERING`
`"Variant Filtering"`
`public static final String`
`DOC_CAT_VARIANT_FILTERING_SUMMARY`
`"Tools that filter variants by annotating the FILTER column"`
`public static final String`
`DOC_CAT_VARIANT_MANIPULATION`
`"Variant Manipulation"`
`public static final String`
`DOC_CAT_VARIANT_MANIPULATION_SUMMARY`
`"Tools that manipulate variant call format (VCF) data"`
`public static final String`
`DOC_SUPERCAT_EXCLUDE`
`"exclude"`
`public static final String`
`DOC_SUPERCAT_TOOLS`
`"tools"`
`public static final String`
`DOC_SUPERCAT_UTILITIES`
`"utilities"`

## picard.vcf.*

picard.vcf.GenotypeConcordance
Modifier and Type
Constant Field
Value
`public static final String`
`CONTINGENCY_METRICS_FILE_EXTENSION`
`".genotype_concordance_contingency_metrics"`
`public static final String`
`CONTINGENCY_STATE_TAG`
`"CONC_ST"`
`public static final String`
`DETAILED_METRICS_FILE_EXTENSION`
`".genotype_concordance_detail_metrics"`
`public static final String`
`OUTPUT_VCF_CALL_SAMPLE_NAME`
`"call"`
`public static final String`
`OUTPUT_VCF_FILE_EXTENSION`
`".genotype_concordance.vcf.gz"`
`public static final String`
`OUTPUT_VCF_TRUTH_SAMPLE_NAME`
`"truth"`
`public static final String`
`SUMMARY_METRICS_FILE_EXTENSION`
`".genotype_concordance_summary_metrics"`
picard.vcf.LiftoverVcf
Modifier and Type
Constant Field
Value
`public static final String`
`ATTEMPTED_ALLELES`
`"AttemptedAlleles"`
`public static final String`
`ATTEMPTED_LOCUS`
`"AttemptedLocus"`
`public static final String`
`FILTER_CANNOT_LIFTOVER_REV_COMP`
`"CannotLiftOver"`
`public static final String`
`FILTER_INDEL_STRADDLES_TWO_INTERVALS`
`"IndelStraddlesMultipleIntervals"`
`public static final String`
`FILTER_MISMATCHING_REF_ALLELE`
`"MismatchedRefAllele"`
`public static final String`
`FILTER_NO_TARGET`
`"NoTarget"`
`public static final String`
`ORIGINAL_ALLELES`
`"OriginalAlleles"`
`public static final String`
`ORIGINAL_CONTIG`
`"OriginalContig"`
`public static final String`
`ORIGINAL_START`
`"OriginalStart"`
picard.vcf.VcfToIntervalList
Modifier and Type
Constant Field
Value
`public static final String`
`INCLUDE_FILTERED_SHORT_NAME`
`"IF"`

picard.vcf.filter.AlleleBalanceFilter
Modifier and Type
Constant Field
Value
`public static final String`
`AB_FILTER`
`"AlleleBalance"`
picard.vcf.filter.FilterApplyingVariantIterator
Modifier and Type
Constant Field
Value
`public static final String`
`ALL_GTS_FILTERED`
`"AllGtsFiltered"`
`public static final String`
`PASS_FILTER`
`"PASS"`
picard.vcf.filter.QdFilter
Modifier and Type
Constant Field
Value
`public static final String`
`FILTER_NAME`
`"LowQD"`